DATE(1)

NIMI
date - print or set the system date and time

YLEISKATSAUS
date [VALITSIN]... [+MUOTOILU]
date [-u|--utc|--universal] [KKPPttmm[[CC]VV][.ss]]

KUVAUS

Display date and time in the given FORMAT. With -s, or with [MMDDhhmm[[CC]YY][.ss]], set the date and time.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-d, --date=MJONO
    näytä MJONOn määräämä aika ”now”:n sijaan

--debug
    annotate the parsed date, and warn about questionable usage to stderr

-f, --file=DATEFILE
    like --date; once for each line of DATEFILE

-I[FMT], --iso-8601[=FMT]
    output date/time in ISO 8601 format. FMT='date' for date only (the default), 'hours', 'minutes', 'seconds', or 'ns' for date and time to the indicated precision. Example: 2006-08-14T02:34:56-06:00

--resolution
    output the available resolution of timestamps Example: 0.000000001

-R, --rfc-email
    output date and time in RFC 5322 format. Example: Mon, 14 Aug 2006 02:34:56 -0600

--rfc-3339=FMT
    output date/time in RFC 3339 format. FMT='date', 'seconds', or 'ns' for date and time to the indicated precision. Example: 2006-08-14 02:34:56-06:00

-r, --reference=TIEDOSTO
    näyttää TIEDOSTO-tiedoston viimeisen muokkausajan

-s, --set=MERKKIJ
    set time described by STRING

-u, --utc, --universal
    print or set Coordinated Universal Time (UTC)

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

All options that specify the date to display are mutually exclusive. I.e.: --date, --file, --reference, --resolution.

FORMAT controls the output. Interpreted sequences are:

%%  %-merkki

%a  maa-asetuksen lyhyt viikonpäivän nimi (ma-su)

%A  maa-asetuksen pitkä viikonpäivän nimi (esim. sunnuntai)

%b  maa-asetuksen lyhennetty kuukauden nimi (esim. tammi ) [huonoa suomea]

%B  maa-asetuksen pitkä kuukauden nimi (esim. tammikuu)

%c  maa-asetuksen päivämäärä ja aika (esim. la 3. maaliskuuta 2005 23:05:25)

%C  vuosisata; kuten %Y, mutta ilman kahta viimeistä numeroa (esim. 20)

%d  kuukauden päivä (esim. 01)

%D  date; same as %m/%d/%y

%e  kuukauden päivä, välilyöntitäyttö; sama kuin %_d

%F  pitkä päivämäärä; kuin %+4Y-%m-%d

%g  ISO-viikkonumeron vuoden kaksi viimeistä numeroa (ks. %G)

%G  ISO-viikkonumeron vuosi (ks. %V); käytetään yleensä vain %V:n kanssa

%h  sama kuin %b

%H  tunti (00..23)

%I  tunti (01..12)

%j  vuoden päivä (001-366)

%k  tunti, välilyöntitasattu ( 0-23); sama kuin %_H

%l  tunti, välilyöntitasattu ( 1-12); sama kuin %_I

%m  kuukausi (01-12)

%M  minuutti (00-59)

%n  rivinvaihto

%N  nanosekunnit (000000000-999999999)

%p  maa-asetuksen AM/PM-merkintä; tyhjä jos tuntematon

%P  kuten %p, mutta pienillä kirjaimilla

%q  vuosineljännes (1-4)

%r  locale's 12-hour clock time (e.g., 11:11:04 PM)

%R  24-tuntinen tunti ja minuutti; sama kuin %H:%M

%s  seconds since the Epoch (1970-01-01 00:00 UTC)

%S  sekunti (00–60)

%t  sarkain

%T  aika; sama kuin %H:%M:%S

%u  viikonpäivä (1–7); 1 on maanantai

%U  viikon numero, sunnuntai viikon ensimmäinen päivä (00–53)

%V  viikon numero (ISO), maanantai viikon ensimmäinen päivä (01–53)

%w  viikonpäivä (0–6); 0 on sunnuntai

%W  viikon numero, maanantai viikon ensimmäinen päivä (00–53)

%x  maa-asetuksen päivämääräesitys (esim. 31.12.1999)

%X  maa-asetuksen aikaesitys (esim. 23:13:48)

%y  vuosiluvun kaksi viimeistä numeroa (00­–99)

%Y  vuosiluku

%z  numeerinen aikavyöhyke +hhmm (esim. +0200)

%:z numeerinen aikavyöhyke +hh:mm (esim. +02:00)

%::z
    numeerinen aikavyöhyke +hh:mm:ss (esim. +02:00:00)

%:::z
    numeerinen aikavyöhyke tarvittavalla tarkkuudella (esim. +02, +05:30)

%Z  aikavyöhykkeen kirjainlyhenne (esim. EET)

By default, date pads numeric fields with zeroes. The following optional flags may follow '%':

-   (yhdysmerkki) älä pad kentän

_   (alaviiva) tyyny, jossa välilyöntejä

0   (nolla) tyyny nollilla

+   pad nollilla ja laita '+' ennen tulevia vuosia >4 numeroa

^   käytä isoa kirjaimia, jos mahdollista

#   käytä vastakkaista koteloa, jos mahdollista

After any flags comes an optional field width, as a decimal number; then an optional modifier, which is either E to use the locale's alternate representations if available, or O to use the locale's alternate numeric symbols if available.

ESIMERKKEJÄ
Convert seconds since the Epoch (1970-01-01 UTC) to a date

    $ date --date='@2147483647'

Show the time on the west coast of the US (use tzselect(1) to find TZ)

    $ TZ='America/Los_Angeles' date

Näytä paikallista aikaa klo 9.00 ensi perjantaina Yhdysvaltain länsirannikolla

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

DATE STRING
The --date=STRING is a mostly free format human readable date string such as "Sun, 29 Feb 2004 16:21:42 -0800" or "2004-02-29 16:21:42" or even "next Thursday". A date string may contain items indicating calendar date, time of day, time zone, day of week, relative time, relative date, and numbers. An empty string indicates the beginning of the day. The date string format is more complex than is easily documented here but is fully described in the info documentation.

TEKIJÄ
Kirjoittanut David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2024 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
Koko dokumentaatio: <https://www.gnu.org/software/coreutils/date>
tai saatavilla paikallisesti: info '(coreutils) date invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jussi Larjo <larjo@cc.tut.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.